Subject: Issue: #749: Section 6 - Budget process

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 21 Dec 2004 21:45:44 +0100

See: https://rt.psg.com/Ticket/Display.html?id=749

Mmmm.. I have not seen any wording proposals yet.
I think we're all in sync on the fact that it IS an itertaive
process, that IASA cannot just set an absurd budget and that
the process needs to be aligned/synced with ISOCs budget process.

So how about changing:

  6.  IASA Budget Process

   While the IASA sets a budget for the IETF's administrative needs, its
   budget process clearly needs to be closely coordinated with ISOC's.
   The specific timeline shall be established each year.  A general
   annual timeline for budgeting is:

into 

  6.  IASA Budget Process

   While the IASA sets a budget for the IETF's administrative needs, its
   budget process clearly needs to be closely coordinated with ISOC's.
   The specific timeline shall be established each year by IASA and ISOC.
   As an example, a general annual timeline for budgeting is:

And then  further down change:

   The dates described above are subject to change, and will most likely
   be modified each year based on the dates of the second and third IETF
   meetings of that year.

into

   The dates described above are examples and subject to change. They will
   most likely be modified each year based on the dates of the second and
   third IETF meetings of that year. They also need to be synchronised with
   the ISOC budgeting process. 

Scott, pls realize that the text already states:

   August 1: The IAOC approves the budget proposal for IETF purposes,
      after any appropriate revisions.  As the ISOC President is part of
      the IAOC, the IAOC should have a preliminary indication of how the
-->   budget will fit with ISOC's own budgetary expectations.  The
      budget proposal is passed to the ISOC Board of Trustees for review
      in accordance with their fiduciary duty.

See the line prefixed with "-->" which I think  makes it clear that
the IASA budget should fit with the budget as expected by IASA.

Furtehr we already have:

   July 1: The IAD presents a budget proposal for the following fiscal
      year, with 3 year projections, to the IAOC.

and the 3 year projection should (in my view) give ISOC an very early
view of what is coming. It does not make sense to me that IAD/IASA would
just ignore such projections and ask unjustified and irrealistic amounts 
of money.

Anyway, if the sugegsted text changes are not enough for you, pls suggest 
more text for us to consider/evaluate.

Bert
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Monday, December 13, 2004 14:15
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: draft-ietf-iasa-bcp-02: section 3.1 - ISOC involvement in
> bugdet
> 
> 
> and I'd like it *very* clear that a dialogue is part of the process
> i.e. I'd like to see it written down so that no one has any 
> misunderstanding
> now or in the future that a dialogue is part of teh process
> 
> Scott
> 
> ------
> 
> Date: Mon, 13 Dec 2004 05:47:00 +0100
> From: Harald Tveit Alvestrand <[email-masked]>
> To: Scott Bradner <[email-masked]>, [email-masked]
> Subject: Re: draft-ietf-iasa-bcp-02: section 3.1 - ISOC involvement in
>  bugdet
> 
> 
> --On 12. desember 2004 20:33 -0500 Scott Bradner 
> <[email-masked]> wrote:
> 
> >
> > open from last version
> >
> >> This does not seem to admit to the possibility that the 
> ISOC board might
> >> say 'wait a minute - you are asking for twice as much 
> money as you got
> >> last year - we need to work with you to figure out a 
> funding level that
> >> the ISOC can support'  - i.e. it is not reasonable to 
> assume that the
> >> ISOC BoT can carry out the above mentioned fiduciary responsibility
> >> without being able to engage in a dialogue over budget amounts.
> >>
> >> An open question in my mind is the degree of detail and 
> itemization that
> >> the ISOC BoT needs to have to carry out the fiduciary 
> responsibility
> >> i.e. it seems like the ISOC might have a hard time with 
> its auditors if
> >> what it approved is just a line item for the IETF 
> expenditures with no
> >> breakdown.  But on the other hand we do not want the ISOC BoT to be
> >> arguing over how many copies of the newcomer's 
> presentation handouts get
> >> made.  We need to figure out a reasonable process that 
> permits the ISOC
> >> to understand what the money is going for, be able to suggest
> >> alternatives if they might be more efficient, and have an 
> ability to
> >> have input to the review of RFP responses without limiting 
> the ability
> >> and authority of the IAD/IAHC to make the final decisions 
> (as long as
> >> they stay within a budget)
> >
> > basically - no discussion between the ISOC and the IAD is called
> > for in putting the budget together - that seems to be an error (if
> > the assumption is that the ISOC reps on the IASA will be the
> > dhisussion path then it would be good to state that - it is
> > better to be clear than to have people in the future assume that
> > the ISOC BoT just gets to approve a proposed IETF budget rather than
> > think about it and teh implications for ISOC's overall budget
> 
> I replied on November 22 (same reply as last message):
> 
> > I don't understand your comment - given that the timeline 
> shown in the
> > BCP has the ISOC BoT working with the IAD over the budget 
> for 4-5 months
> > (July to November/December), how can you think that there 
> will not be a
> > dialogue over that period of time?
> >
> > This applies to multiple places in your comments - you seem 
> to have read
> > "dialogue is not explicitly mentioned" as "no dialogue is 
> allowed to take
> > place", and I simply can't understand how you came to that reading.
> >
> > Remember also that the ISOC President is part of the IAOC. 
> There will
> > ALWAYS be channels for making suggestions.
> 
>                Harald
> 
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: [email-masked] (Scott Bradner)
Date: Tue, 21 Dec 2004 16:01:58 -0500 (EST)

Bert asks
>    the ISOC budgeting process. 

sounds fine to me

> the IASA budget should fit with the budget as expected by IASA.

I think you mean "the IASA budget should fit with the budget as expected
by the ISOC"

but the line you point to does not say that- the line would allow the 
IAOC to come up with a budget twice as big as the ISOC expected - the
IAOC would know its twice as big - that is not the same thing as
saying that the budget needs to fit within a value that the ISOC 
could support considering its revenues

> just ignore such projections and ask unjustified and irrealistic amounts 

it may not make sense to you but there is nothing in the current text 
that prevents that from happening

I think this text needs to follow principle 3 which says that the 
budget has to be developed in consultation with the ISOC

so the aug 1 paragraph should say something like:
    August 1: The IAOC, in consultation with the ISOC President, 
	develops and adopts a proposed budget for the IASA activities
	based on the budget proposed by the IAD.  The proposed
	budget is then passed to the ISOC Board of Trustees for review
	in accordance with their fiduciary duty.

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 22 Dec 2004 00:18:35 +0100

> could support considering its revenues

Scott,

I *still* don't understand what point you're trying to make, or why it 
needs to be made.

I think the IASA needs to tell ISOC a reasonable budget for the IETF.
That's a job that the BCP says lives with IASA and the IAD, *NOT* the ISOC 
BoT.
If IASA says it needs twice as much money as it has, it needs to explain 
why. Presumably they will not do so for no reason.
Then, ISOC has to either say "we can come up with that money" or "we can't 
come up with that money".

If ISOC says "no", IASA and the IAD has to come up with a new plan - that's 
already provided for.

But I think saying "look at ISOC's budget 6 months ahead of its approval, 
make a plan that fits within that bugdet, and make absolutely no requests, 
ever, for more money" is a silly way to constrain the IAD.

I think Bert's text is OK.

                             Harald

---

From: John C Klensin <[email-masked]>
Date: Tue, 21 Dec 2004 23:57:12 -0500

Maybe I don't understand this either but, in my ignorance, let
me make a suggestion (about which I'm a little uncomfortable,
see below).

It seems to me that, realistically, the total IASA budget
consists of two parts:

	* Whatever the IAOC chooses to try to spend out of
	IETF-designated cash on hand, e.g., meeting fees as well
	as any targeted funds.
	
	* Everything else, which the IAOC would like ISOC to
	come up with out of other funds or raise.

Rather than dancing around that issue, why not make it explicit
that the request to ISOC gets submitted in two parts.  For the
first, the ISOC would need really good reasons to say "no", with
the assumption going in that there are no such reasons (but I
don't think the BCP should overconstrain things).  For the
second, the IAOC is expected to ask nicely with the
understanding that there might be some negotiation.   Now, the
two are not completely separable, since ISOC could (and, IMO,
should) reasonably want to look at the details and budget
justification for the first, at least to the extent needed to
determine that some large number of boggles are not buried there
with the intent of shifting all of the "must fund" items into
the "ISOC general funds" part.  But, assuming that proposed
costs are reasonably balanced and allocated between the two
pools, if what you really want is to treat them as distinct, why
not think about things on that basis?

The disclaimer/discomfort is that this feels to me as if it is
really too much detail to put into the BCP.   To have these
things sorted out, at least as the "this is our hypothesis, we
will try it unless/until it turns out not to work well, and if
that happens, we will try something else" level, seems entirely
reasonable to me, while locking in one strategy or mechanism
does not.

    john

--On Wednesday, 22 December, 2004 00:18 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

>>> See the line prefixed with "-->" which I think  makes it
>>> clear that the IASA budget should fit with the budget as
>>> expected by IASA.
>> 
>> I think you mean "the IASA budget should fit with the budget
>> as expected by the ISOC"
>> 
>> but the line you point to does not say that- the line would
>> allow the IAOC to come up with a budget twice as big as the
>> ISOC expected - the IAOC would know its twice as big - that
>> is not the same thing as saying that the budget needs to fit
>> within a value that the ISOC could support considering its
>> revenues
> 
> Scott,
> 
> I *still* don't understand what point you're trying to make,
> or why it needs to be made.
> 
> That's a job that the BCP says lives with IASA and the IAD,
> *NOT* the ISOC BoT.
> If IASA says it needs twice as much money as it has, it needs
> to explain why. Presumably they will not do so for no reason.
> Then, ISOC has to either say "we can come up with that money"
> or "we can't come up with that money".
> 
> If ISOC says "no", IASA and the IAD has to come up with a new
> plan - that's already provided for.
> 
> But I think saying "look at ISOC's budget 6 months ahead of
> its approval, make a plan that fits within that bugdet, and
> make absolutely no requests, ever, for more money" is a silly
> way to constrain the IAD.
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 22 Dec 2004 09:46:57 +0100

Fundamentally, I feel we are trying to over-design a quite
subtle process. I can live with any of the proposed texts,
since (as John's note below shows) there are enough subtleties
that the IAOC will be feeling its way for the first year or
two. We may be able to codify the process later, but
not now.

   Brian